package com.yfsoft.demo.spring.springaop.annotation;

import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.After;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.springframework.stereotype.Component;

@Component
@Aspect
public class LogHandler {

	@Before("execution(* com.yfsoft.demo.spring.springaop.annotation.Hello2.*(..))")
	public void before(JoinPoint jp) {
		System.out.println("before method");
	}

	@After("execution(* com.yfsoft.demo.spring.springaop.annotation.Hello2.*(..))")
	public void after(JoinPoint jp) {
		System.out.println("after method");
	}

}
